.\" $FreeBSD: src/sys/i386/boot/netboot/netboot.8,v 1.3.6.2 1999/09/05 08:10:47 peter Exp $
.Dd May 15, 1997
.Dt NETBOOT 8
.\".Os BSD 4
.Sh NAME
.Nm netboot
.Nd Allows remote booting of the operating system
.Sh SYNOPSIS
.Nm
.Bl -tag -width Ds
is used for booting the operating system over a network card. The
program is either loaded into a ROM, or run from DOS.
.Pp
.Sh DESCRIPTION
.Nm
loads parameters such as IP addresses, kernel name and filesystem
names from a bootp server, tries to mount the specified root and
swap filesystems, loads the specified kernel from the root filesystem
using NFSv2, and then gives control to the kernel.
.Pp
The bootp server must be configured appropriately. An example
configuration for /etc/bootptab is the following:
.Bd -literal
  .default:\\
	:sm=255.255.255.0:\\
	:gw=your.gateway.ip:\\
	:hn:ht=ether:vm=rfc1048:\\
	:rp="rootfs.ip:/rootfs/path":\\
	:T128="swapfs.ip:/swapfs/path":\\
	:T129=swapsize:\\
	:T130="root,mount,options":\\
	:T131="swap,mount,options":\\
	:ra=255.255.255.255:
  client01:bf="kernel.300":ha=00400530d6d9:tc=.default:
  client02:bf="kernel.280":ha=00400530d6d3:tc=.default:
  ...
.Ed
.Pp
For a precise description of the bootptab parameters, see
bootptab (5) .
.Pp
The
.Nm
code uses options as follows.
.Bl -tag -width indent
.It Cm sm
indicates the subnet mask.
.It Cm gw
is the ip address of the gateway.
.It Cm hn
instructs the bootp server to send the hostname in the reply.
.It Cm ht= Ns Ar ether
.\.It ht=ether
indicates that the hardware is ethernet.
.It Cm vm= Ns Ar rfc1048
indicates the use of rfc1048 extensions.
.It Cm rp
specifies where the directory mounted as the root filesystem is located.
The IP address of the server must be specified, followed by a : and the 
directory pathname.
.It Cm T128
specifies where the directory containing the swap file is located.
The IP address of the server must be specified, followed by a : and the
directory pathname.
The actual swapfile is a file named swap.X.Y.Z.T where X.Y.Z.T is the
IP address of the client. If this argument is given, the swap file must exist.
.It Cm T129
specifies the size of the swap file, in KB. Must be specified as
a 8 digits long hexadecimal number. 16 MB swap thus becomes 
T129=00004000. This argument is optional; if missing, the size of the
swap file is read from the server.
.It Cm T130
specifies root mount options, such as soft, intr, tcp, etc.
This argument is optional. The default is to use UDP.
.It Cm T131
specifies swap mount options.
This argument is optional.
.It Cm bf
is the name of the kernel. If not specified, it defaults to
"kernel".
.It Cm ra
is used to override the reply address.

.Sh FILES
.Bl -tag -width /usr/mdec/nb3c509.rom -compact
.It Pa /usr/mdec/nb8390.rom
rom image for NE1000/NE2000 cards
.It Pa /usr/mdec/nb8390.com
DOS executable for NE1000/NE2000 cards
.It Pa /usr/mdec/nb3c509.rom
rom image for 3C509 cards
.It Pa /usr/mdec/nb3c509.com
DOS executable for 3C509 cards

.Sh SEE ALSO
.Xr bootpd 8 ,
.Xr bootptab 5

.Sh BUGS
To use netboot with Western Digital/SMC cards or 3C503 cards, a recompile
is needed after a little Makefile tweaking.
